Save bank accounts
curl --request POST \
--url https://sandbox.tight.com/v6/banks/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"id": "bka_28868401",
"name": "Chase Checking",
"status": "ACTIVE",
"apiName": "PLAID",
"iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
"mask": "1234",
"type": "DEPOSITORY",
"syncTransactions": true,
"tranStartDate": "2025-01-01",
"glAccountId": "<string>",
"beginningBalance": 100000,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/banks/accounts"
payload = { "data": [
{
"id": "bka_28868401",
"name": "Chase Checking",
"status": "ACTIVE",
"apiName": "PLAID",
"iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
"mask": "1234",
"type": "DEPOSITORY",
"syncTransactions": True,
"tranStartDate": "2025-01-01",
"glAccountId": "<string>",
"beginningBalance": 100000,
"customData": {
"internal_key": "some_internal_key",
"some_other_field": 23434
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
id: 'bka_28868401',
name: 'Chase Checking',
status: 'ACTIVE',
apiName: 'PLAID',
iconUrl: 'https://cdn.sandbox.tight.com/icons/banks/56.png',
mask: '1234',
type: 'DEPOSITORY',
syncTransactions: true,
tranStartDate: '2025-01-01',
glAccountId: '<string>',
beginningBalance: 100000,
customData: {internal_key: 'some_internal_key', some_other_field: 23434}
}
]
})
};
fetch('https://sandbox.tight.com/v6/banks/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "123456",
"status": "ACTIVE",
"apiName": "PLAID",
"iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
"name": "Chase Checking",
"mask": "1234",
"integration": {
"id": "<string>",
"apiInstitutionId": "<string>"
},
"type": "DEPOSITORY",
"subType": "CHECKING",
"lastSyncedDate": "2023-11-07T05:31:56Z",
"syncTransactions": true,
"isSupported": true,
"tranStartDate": "2023-12-25",
"tranMinStartDate": "2023-12-25",
"latestTransactionDate": "2025-01-01",
"glAccountId": "<string>",
"beginningBalanceData": {
"journalEntry": {
"id": "<string>",
"tranDate": "2023-12-25"
},
"amount": 123
},
"accountBalance": 100000
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "123456",
"status": "ACTIVE",
"apiName": "PLAID",
"iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
"name": "Chase Checking",
"mask": "1234",
"integration": {
"id": "<string>",
"apiInstitutionId": "<string>"
},
"type": "DEPOSITORY",
"subType": "CHECKING",
"lastSyncedDate": "2023-11-07T05:31:56Z",
"syncTransactions": true,
"isSupported": true,
"tranStartDate": "2023-12-25",
"tranMinStartDate": "2023-12-25",
"latestTransactionDate": "2025-01-01",
"glAccountId": "<string>",
"beginningBalanceData": {
"journalEntry": {
"id": "<string>",
"tranDate": "2023-12-25"
},
"amount": 123
},
"accountBalance": 100000
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "123456",
"status": "ACTIVE",
"apiName": "PLAID",
"iconUrl": "https://cdn.sandbox.tight.com/icons/banks/56.png",
"name": "Chase Checking",
"mask": "1234",
"integration": {
"id": "<string>",
"apiInstitutionId": "<string>"
},
"type": "DEPOSITORY",
"subType": "CHECKING",
"lastSyncedDate": "2023-11-07T05:31:56Z",
"syncTransactions": true,
"isSupported": true,
"tranStartDate": "2023-12-25",
"tranMinStartDate": "2023-12-25",
"latestTransactionDate": "2025-01-01",
"glAccountId": "<string>",
"beginningBalanceData": {
"journalEntry": {
"id": "<string>",
"tranDate": "2023-12-25"
},
"amount": 123
},
"accountBalance": 100000
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Bank Accounts
Save bank accounts
Save new (or update existing) bank accounts
POST
/
v6
/
banks
/
accounts
Save bank accounts
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I